Bug 1257644 - Starting VM with snapshot with memory conflicts with later VM properties changes
Starting VM with snapshot with memory conflicts with later VM properties changes
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
high Severity high (vote)
: ovirt-4.3.0
: ---
Assigned To: Shmuel Melamud
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 10:06 EDT by Jiri Belka
Modified: 2017-11-07 10:09 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3?
rule-engine: planning_ack?
michal.skrivanek: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)
engine.log, vdsm.log (545.62 KB, application/x-gzip)
2015-08-27 10:06 EDT, Jiri Belka
no flags Details

  None (edit)
Description Jiri Belka 2015-08-27 10:06:38 EDT
Created attachment 1067759 [details]
engine.log, vdsm.log

Description of problem:

If you preview a snapshot (with memory) and then before you start the VM you make VM properties modification like removing/adding network card, engine backend won't take this changes immediately into account and it will start VM with VM settings from snapshot.

This brings surprises like having inside OS network interface with "old" hwaddr.

There should be two solutions:

- if previewing snapshot with memory, VM properties changes should be forbidden
- if previewing snapshot with memory, VM properties changes should drop VM
  memory restoration and the user doing this should be informed with a dialog

Version-Release number of selected component (if applicable):
rhevm-backend-3.6.0-0.11.master.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. create a VM with a network card
2. start VM, install some OS
3. make snapshot
4. power off the VM
5. preview snapshot, check "old" nic hwaddr, select include memory
   (select snapshot -> right pane 'Network Interfaces/MAC')
6. remove nic
7. add nic with user defined hwaddr
9. start VM
10. check inside OS
11. check libvirt via dumpxml

Actual results:
old hwaddr, VM settings were restored from memory and user changes were not
accepted for (first) run

Expected results:
either changes should be forbidden or better there should be warning that modification of previewing snapshot with memory would cause memory restore to
to be dropped

Additional info:
Comment 1 Red Hat Bugzilla Rules Engine 2015-11-30 14:14:07 EST
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 2 Michal Skrivanek 2016-03-16 03:37:55 EDT
I would say a Preview with memory should be restored as a running VM.
Comment 3 Sandro Bonazzola 2016-05-02 05:48:29 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 4 Yaniv Lavi 2016-05-23 09:13:14 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 5 Michal Skrivanek 2016-06-09 03:30:29 EDT
(In reply to Michal Skrivanek from comment #2)
> I would say a Preview with memory should be restored as a running VM.

I suppose a "Paused" VM is even better

Too late for 4.0, but it was brought up several times in similar flows, and the behavior is really difficult to predict then

Note You need to log in before you can comment on or make changes to this bug.